Bug Hunting Session
Bug 65839 - [UI] calc : anomoly in data sub-menu
Summary: [UI] calc : anomoly in data sub-menu
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.7.2 release
Hardware: All All
: medium trivial
Assignee: Jorendc
URL:
Whiteboard: target:4.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-16 21:14 UTC by andréb
Modified: 2013-07-09 17:06 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description andréb 2013-06-16 21:14:56 UTC
There is an anomoly in the data sub-menu of calc.
(note that this is translated from french : some terms may be approximate)

In the top section we see :
+ define a range ...
+ select a range ...
The next section starts with
+ sort ...
with several entries, followed by a third section, also with several entries
and ... way down ... at the bottom ... is a fourth section with :
+ update the range

(This always appears in the sub-menu)

*correction proposed*
It would make much more sense to put "update the range" in the top group (as the third entry), with the other range entries.
Not only would that be more coherent ... updating the current range is probably the most used element of this submenu (at least for me),
 and it would be much quicker to access if it were near the top.


This annoyance exists long before the version 3.5.7.2 cited -- probably since the beginning.

This should be very easy to fix by anyone accessing the source code.
Comment 1 Jorendc 2013-06-22 09:08:28 UTC
I agree with that. I'll have a look at it this weekend.

Kind regards,
Joren
Comment 2 Jorendc 2013-07-09 11:46:56 UTC
patch waiting for review: https://gerrit.libreoffice.org/#/c/4782/
Comment 3 Jorendc 2013-07-09 16:00:01 UTC
patch is approved. RESOLVED FIXED
Comment 4 Commit Notification 2013-07-09 16:07:49 UTC
Joren De Cuyper committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=63d1f311c5421bcd75bcad026e41c3222be07141

fdo#65839 group 'range' menu entries together



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 andréb 2013-07-09 17:06:19 UTC
thanks :)